entities:
  - entity: Warehouse
    input:
      - code
      - permissionTreeCode
      - siteCode
      - description
      - sequenceNumber
      - costCentreCode
      - notes
      - isActive
    mappings:
      - id:
          converter:
            input: code
            type: CodeReferenceLookup
      - permissionTreeId:
          converter:
            input: permissionTreeCode
            type: CodeReferenceLookup
      - siteId:
          converter:
            input: siteCode
            type: CodeReferenceLookup
      - code:
      - description:
      - sequenceNumber:
      - costCentreId:
          converter:
            input: costCentreCode
            type: CodeReferenceLookup
      - notes:
      - isActive:

  - entity: MaterialMaster
    input:
      - code
      - alternativeDescription
      - barcode
      - categoryCode
      - classification
      - commodityCode
      - costElementCode
      - description
      - highLifeExpectancy
      - itemSize
      - isInsuranceItem
      - isStockItem
      - leadTime
      - lowLifeExpectancy
      - maximumLevel
      - mediumLifeExpectancy
      - minimumLevel
      - notes
      - partsReplacementMethod
      - permissionTreeCode
      - replaceWithMaterialMasterCode
      - replaceByDate
      - replacedOnDate
      - sequenceNumber
      - unitOfMeasurementCode
      - defaultMaterialMasterBinCode
      - defaultMaterialMasterBinMaterialMasterCode
      - defaultMaterialMasterSupplierSupplierCode
      - defaultMaterialMasterSupplierMaterialMasterCode
      - isActive
    mappings:
      - id:
          converter:
            input: code
            type: CodeReferenceLookup
      - alternativeDescription:
      - barcode:
      - categoryId:
          converter:
            input: categoryCode
            type: CodeReferenceLookup
      - classification:
      - code:
      - commodityId:
          converter:
            input: commodityCode
            type: CodeReferenceLookup
      - costElementId:
          converter:
            input: costElementCode
            type: CodeReferenceLookup
      - description:
      - highLifeExpectancy:
      - itemSize:
      - isInsuranceItem:
      - isStockItem:
      - leadTime:
      - lowLifeExpectancy:
      - maximumLevel:
      - mediumLifeExpectancy:
      - minimumLevel:
      - notes:
      - partsReplacementMethod:
      - permissionTreeId:
          converter:
            input: permissionTreeCode
            type: CodeReferenceLookup
      - replaceWithMaterialMasterId:
          converter:
            input: replaceWithMaterialMasterCode
            type: CodeReferenceLookup
      - replaceByDate:
      - replacedOnDate:
      - sequenceNumber:
      - unitOfMeasurementId:
          converter:
            input: unitOfMeasurementCode
            type: CodeReferenceLookup
      - defaultMaterialMasterBinId:
          converter:
            properties:
              - MaterialMasterBin->Code:
                  input: defaultMaterialMasterBinCode
                  nullIndicator: true
              - MaterialMasterBin->MaterialMaster_Code:
                  input: defaultMaterialMasterBinMaterialMasterCode
            type: CustomReferenceLookup
      - defaultMaterialMasterSupplierId:
          converter:
            properties:
              - MaterialMasterSupplier->Supplier_Code:
                  input: defaultMaterialMasterSupplierSupplierCode
                  nullIndicator: true
              - MaterialMasterSupplier->MaterialMaster_Code:
                  input: defaultMaterialMasterSupplierMaterialMasterCode
            type: CustomReferenceLookup
      - isActive:

  - entity: StockItem
    input:
      - warehouseCode
      - materialMasterCode
      - alternativeDescription
      - barcode
      - categoryCode
      - classification
      - costElementCode
      - highLifeExpectancy
      - itemSize
      - isInsuranceItem
      - isStockItem
      - leadTime
      - lowLifeExpectancy
      - maximumLevel
      - mediumLifeExpectancy
      - minimumLevel
      - notes
      - permissionTreeCode
      - quantityOnHand
      - sequenceNumber
      - unitOfMeasurementCode
      - replaceWithStockItemWarehouseCode
      - replaceWithStockItemMaterialMasterCode
      - replaceByDate
      - replacedOnDate
      - averageItemCost
      - defaultStockItemBinCode
      - defaultStockItemSupplierSupplierCode
      - defaultStockItemSupplierStockItemMaterialMasterCode
      - defaultStockItemSupplierStockItemWarehouseCode
      - isActive
    mappings:
      - id:
          converter:
            properties:
              - StockItem->Warehouse_Code:
                  input: warehouseCode
              - StockItem->MaterialMaster_Code:
                  input: materialMasterCode
            type: CustomReferenceLookup
      - warehouseId:
          converter:
            input: warehouseCode
            type: CodeReferenceLookup
      - materialMasterId:
          converter:
            input: materialMasterCode
            type: CodeReferenceLookup
      - alternativeDescription:
      - barcode:
      - categoryId:
          converter:
            input: categoryCode
            type: CodeReferenceLookup
      - classification:
      - costElementId:
          converter:
            input: costElementCode
            type: CodeReferenceLookup
      - highLifeExpectancy:
      - itemSize:
      - isInsuranceItem:
      - isStockItem:
      - leadTime:
      - lowLifeExpectancy:
      - maximumLevel:
      - mediumLifeExpectancy:
      - minimumLevel:
      - notes:
      - permissionTreeId:
          converter:
            input: permissionTreeCode
            type: CodeReferenceLookup
      - quantityOnHand:
      - sequenceNumber:
      - unitOfMeasurementId:
          converter:
            input: unitOfMeasurementCode
            type: CodeReferenceLookup
      - replaceWithStockItemId:
          converter:
            properties:
              - StockItem->Warehouse_Code:
                  input: replaceWithStockItemWarehouseCode
              - StockItem->MaterialMaster_Code:
                  input: replaceWithStockItemMaterialMasterCode
            type: CustomReferenceLookup
      - replaceByDate:
      - replacedOnDate:
      - averageItemCost:
      - defaultStockItemBinId:
          converter:
            input: defaultStockItemBinCode
            type: CodeReferenceLookup
      - defaultStockItemSupplierId:
          converter:
            properties:
              - StockItemSupplier->Supplier_Code:
                  input: defaultStockItemSupplierSupplierCode
              - StockItemSupplier->StockItem_MaterialMaster_Code:
                  input: defaultStockItemSupplierStockItemMaterialMasterCode
              - StockItemSupplier->StockItem_Warehouse_Code:
                  input: defaultStockItemSupplierStockItemWarehouseCode
            type: CustomReferenceLookup
      - isActive: 
 